#include <iostream>
#include <string>
#include <map>
#include <algorithm>
using namespace std;
bool cmp(const pair<string,int>& lhs,const pair<string,int>& rhs)
{
    return lhs.second<rhs.second;
}
int main()
{
    map<string,int> m;
    string s;
    int n;
    while(cin>>n,n)
    {
        m.clear();
        for(int i=0; i<n; i++)
            cin>>s,m[s]++;
        cout<<max_element(m.begin(),m.end(),cmp)->first<<endl;
    }
    return 0;
}
